/************************************************************************
* EPP RTK C++ DomainProtocol Extension for .org
* Copyright (C) 2003 Afilias
* 
* This library is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as published
* by the Free Software Foundation; either version 2.1 of the License, or
* (at your option) any later version.
*
* This library is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
************************************************************************/

#include "domtools/dom_output.h"
#include "domtools/dom_wrapper.h"
#include "epp-rtk-cpp/data/epp_domainXMLbase.h"
#include "OxrsTransfer.h"

using namespace std;
using namespace domtools;
using namespace eppobject::domain;
using namespace eppobject::epp;

eppobject::epp::epp_string OxrsTransfer::toXML()
{
#ifdef RTK_DEBUG
    cout << "OxrsTransfer::toXML(): entered ["<<*m_registrant<<"]"<<endl;
#endif

    EPP_output xml_request;
    xml_request.setWhitespace(Whitespace);

    xml_request.beginTag("oxrs:transfer");
    xml_request.putAttribute("xmlns:oxrs", "urn:ietf:params:xml:ns:oxrs-1.0");
    xml_request.putAttribute("xmlns:xsi", "http://www.w3.org/2001/XMLSchema-instance");
    xml_request.putAttribute("xsi:schemaLocation", "urn:ietf:params:xml:ns:oxrs-1.0 oxrs-1.0.xsd");

    xml_request.putTag("oxrs:registrant",*m_registrant);

    if(m_contacts != NULL) {

       for(epp_domain_contact_seq::iterator i = m_contacts->begin();
	   i != m_contacts->end(); i++)
	 {
	    xml_request.beginTag("oxrs:contact");

	    if(i->m_type != NULL) {
	       xml_request.putAttribute("type",returnContactType(*i->m_type));
	    }
	    if(i->m_id != NULL) {
	       xml_request.putCDATA(*i->m_id);
	    }
	    xml_request.endTag("oxrs:contact");

	 } // for

    } // if "m_contacts"

    xml_request.endTag("oxrs:transfer");

#ifdef RTK_DEBUG
    cout << "OxrsTransfer::toXML(): leaving ["<<xml_request.getString()<<"]"<<endl;
#endif
    return xml_request.getString();
}
     
void OxrsTransfer::fromXML(const eppobject::epp::epp_string & xml)
{
    return;
}


