/************************************************************************
* EPP RTK C++ DomainProtocol Extension for .org
* Copyright (C) 2003 Afilias
* 
* This library is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as published
* by the Free Software Foundation; either version 2.1 of the License, or
* (at your option) any later version.
*
* This library is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
************************************************************************/

#ifndef __RTK_EXT_OXRSTRANSFER_H
#define __RTK_EXT_OXRSTRANSFER_H

/** @file OxrsTransfer.h
 *  @brief Definition of OxrsTransfer and OxrsTransfer_ref
 *  @author Daniel Manley
 */

#include "epp-rtk-cpp/data/epp_eppdata.h"
#include "epp-rtk-cpp/data/epp_domaindata.h"
#include "epp-rtk-cpp/data/epp_DomainContact.h"
#include "epp-rtk-cpp/epp_Extension.h"

namespace eppobject { namespace domain {
   
   class OxrsTransfer : public eppobject::epp::epp_Extension {
    public:
      eppobject::epp::epp_string_ref m_registrant; /**< ID for the contact object to be associated with the
						     * domain object as the object registrant */
      eppobject::domain::epp_domain_contact_seq_ref m_contacts; /**< IDs for other contact objects to be associated with the
				     	                          * domain object */
      
    public:
        OxrsTransfer() {};

        virtual ~OxrsTransfer() {};
      
        eppobject::epp::epp_string toXML();

        void fromXML(const eppobject::epp::epp_string & xml);

    };  // end class definition

    typedef refcnt_ptr<OxrsTransfer> OxrsTransfer_ref;
   
}}  // end namespaces

#endif
